![Tests](https://github.com/StemVibrations/vehicle_models/actions/workflows/workflow.yml/badge.svg)
[![codecov](https://codecov.io/gh/StemVibrations/vehicle_models/graph/badge.svg?token=0SCPA6LAGT)](https://codecov.io/gh/StemVibrations/vehicle_models)


# User defined VEhiCle models [UVEC]

This repository contains the User defined VEhiCle models [UVEC] for STEM.

At the moment, the following vehicle models are available:

* `ten_dof_vehicle_2D`: 2-dimensional 10 degrees-of-freedom vehicle model (based on [Zhai and Sun, 1994](https://www.tandfonline.com/doi/abs/10.1080/00423119308969544))

* `two_dof_vehicle_2D`: 2-dimensional 2 degrees-of-freedom vehicle model (based on [Lou and Zeng, 2004](https://onlinelibrary.wiley.com/doi/epdf/10.1002/nme.1207))


Project structure:

UVEC
├── README.md
├── requirements.txt
├── setup.cfg
├── UVEC
│   |── __init__.py
│   ├── uvec_ten_dof_vehicle_2D
│   │   ├── __init__.py
│   │   ├── ten_dof_vehicle_2D.py
│   │   └── base_model.py
│   ├── uvec_two_dof_vehicle_2D
│   │   ├── __init__.py
│   │   ├── ten_dof_vehicle_2D.py
│   │   └── base_model.py
